OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_NodeGroup Class Reference

Representation of STEP entity NodeGroup
.

`#include <StepFEA_NodeGroup.hxx>`

Inheritance diagram for StepFEA_NodeGroup:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_NodeGroup ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGroup_Name, const Handle(TCollection_HAsciiString)&aGroup_Description, const Handle(StepFEA_FeaModel)&aFeaGroup_ModelRef, const Handle(StepFEA_HArray1OfNodeRepresentation)&aNodes)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation | Nodes () const
| Returns field Nodes .
Standard_EXPORT void | SetNodes (const Handle(StepFEA_HArray1OfNodeRepresentation)&Nodes)
| Set field Nodes .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_HArray1OfNodeRepresentation | theNodes

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_NodeGroup::StepFEA_NodeGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_NodeGroup::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaGroup.

Standard_EXPORT void StepFEA_NodeGroup::Init | ( | const Handle(TCollection_HAsciiString)& | aGroup_Name,
|  | const Handle(TCollection_HAsciiString)& | aGroup_Description,
|  | const Handle(StepFEA_FeaModel)& | aFeaGroup_ModelRef,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aNodes
| ) |

Standard_EXPORT Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_NodeGroup::Nodes | ( |  | ) | const

Standard_EXPORT void StepFEA_NodeGroup::SetNodes | ( | const Handle(StepFEA_HArray1OfNodeRepresentation)& | Nodes | ) |

## Field Documentation

Handle_StepFEA_HArray1OfNodeRepresentation StepFEA_NodeGroup::theNodes`[private]`

The documentation for this class was generated from the following file:

- StepFEA_NodeGroup.hxx